TransferHandler (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.handlers

## Class TransferHandler

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.handlers.TransferHandler

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    DataStorageTransferAsyncHandler, DataStorageTransferAsyncHandlerOld, LocalFileTransferAsyncHandler, LocalFileTransferHandlerWithoutVFS, StorageManagerAsyncHandler, StorageManagerAsyncHandlerOld

      public abstract class TransferHandler
      extends Object
      implements Runnable

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData` | `destData`
    `protected int` | `endIndex`
    `protected boolean` | `errorHappened`
    `protected String[]` | `inputFiles`
    `protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`
    `protected String` | `outPath`
    `protected int` | `startIndex`
    `protected long` | `timeout`
    `protected String` | `transferId`
    `protected org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType` | `transferType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<TransferObject>` | `getTransferObjList()`
    `boolean` | `isErrorHappened()`
    `void` | `setTransferObj(ArrayList<TransferObject> transferObjs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Field Detail

    - #### logger

          protected org.gcube.common.core.utils.logging.GCUBELog logger

    - #### errorHappened

          protected boolean errorHappened

    - #### inputFiles

          protected String[] inputFiles

    - #### timeout

          protected long timeout

    - #### outPath

          protected String outPath

    - #### transferId

          protected String transferId

    - #### transferType

          protected org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType

    - #### destData

          protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData destData

    - #### startIndex

          protected int startIndex

    - #### endIndex

          protected int endIndex

  - ### Constructor Detail

    - #### TransferHandler

          public TransferHandler()

  - ### Method Detail

    - #### isErrorHappened

          public boolean isErrorHappened()

    - #### getTransferObjList

          public ArrayList<TransferObject> getTransferObjList()

    - #### setTransferObj

          public void setTransferObj(ArrayList<TransferObject> transferObjs)

Copyright © 2016. All Rights Reserved.